//priority:999999

function require(/**@type {String}*/classpath) {
  let javaclass = classpath.split('/').slice(1)//将字符串切分成数组并去除packages
  let classname = javaclass.pop()//获取类名
  let newclasspath = javaclass.concat(classname.substring(1)).join('.')//将数组拼接回字符串
  let thisclass = {}
  thisclass[ classname ] = Java.loadClass( newclasspath )
  return thisclass
}

const { $ItemTooltipEvent } = require("packages/net/minecraftforge/event/entity/player/$ItemTooltipEvent")
const { $ClientQuestFile } = require("packages/dev/ftb/mods/ftbquests/client/$ClientQuestFile")
const { $Long } = require("packages/java/lang/$Long")
let { $ItemEffect } = require("packages/se/mickelus/tetra/effect/$ItemEffect")
let { $ResourceKey } = require("packages/net/minecraft/resources/$ResourceKey")
let { $Registries } = require("packages/net/minecraft/core/registries/$Registries")

let $Minecraft = Java.loadClass("net.minecraft.client.Minecraft")
let $StandOnFluidEvent = Java.loadClass('com.github.L_Ender.lionfishapi.server.event.StandOnFluidEvent');
let $CuriosApi = Java.loadClass("top.theillusivec4.curios.api.CuriosApi")
let $ModularItem = Java.loadClass("se.mickelus.tetra.items.modular.ModularItem")
let $I18n = Java.loadClass('net.minecraft.client.resources.language.I18n')